Bug 463924 - remove abiword dependency on perl
remove abiword dependency on perl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target FedoraOLPCDelta FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-09-25 10:09 EDT by Peter Robinson
Modified: 2008-11-26 01:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 01:23:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec patch to remove perl script (996 bytes, application/octet-stream)
2008-11-20 06:01 EST, Peter Robinson
no flags Details

  None (edit)
Description Peter Robinson 2008-09-25 10:09:19 EDT
Abiword has a single perl script called abw2html.pl which pulls in perl which is a pretty large for a single file. Could the file be either removed or moved into a subpackage so the perl dependency can either be removed or become optional.

/usr/share/abiword-2.6/scripts/abw2html.pl

This would also allow the OLPC build to drop the new of having a separate branch for their needs. In their package they just remove the scripts dir as can be seen in these lines in their spec.

# nuke whacky scripts
rm -rf $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{majorversion}.%{minorversion}/scripts
Comment 1 Marc Maurer 2008-10-04 15:35:37 EDT
Dropped from upstream. Will be in 2.6.5.
Comment 2 Peter Robinson 2008-10-09 06:49:29 EDT
What is the timeframe for 2.6.5? Will it be out in time for F-10 final?
Comment 3 Marc Maurer 2008-10-14 13:19:22 EDT
I don't think so. Will push a new build of 2.6.5 soonish with a patch to drop the perl dep
Comment 4 Peter Robinson 2008-10-25 10:25:31 EDT
ETA? Will either the patch or a new version be done soon so we can get this in for F-10 RC. Anything I can assist with?
Comment 5 Peter Robinson 2008-11-17 19:07:34 EST
Marc, any chance I can get the perl fix in so I can push the fix to OLPC now that its upgraded to Fedora 10 so I can get rid of the perl dependency?
Comment 6 Peter Robinson 2008-11-20 06:01:24 EST
Created attachment 324163 [details]
spec patch to remove perl script

The attached spec file patch is enough to fix the perl dependency issue for 2.6.4. If your OK with it I can apply and push the build if you don't have the time.
Comment 7 Fedora Update System 2008-11-23 15:07:11 EST
abiword-2.6.4-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/abiword-2.6.4-9.fc10
Comment 8 Bug Zapper 2008-11-25 22:13:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora Update System 2008-11-26 01:23:19 EST
abiword-2.6.4-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.